#navbar {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #ffd09a;
    z-index: 10;
    padding: 0 10px;
    box-sizing: border-box;
    user-select: none;
}

#links {
    display: flex;
    flex-direction: row;
}

#links a {
    padding: 8px 10px;
}

#links a.active {
    background-color: #e3a257;
    color: white;
}

#menu-toggle {
    display: none;
    font-size: 24px;
    cursor: pointer;
    padding: 0 6px;
}

@media (max-width: 600px) {
    #navbar {
        height: auto;
        min-height: 25px;
        padding: 4px 8px;
    }

    #menu-toggle {
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    #links {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        flex-direction: column;
        background: #ffd09a;
        border-bottom: 1px solid #ac7537;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        z-index: 100;
    }

    #menu-toggle-checkbox:checked ~ #links {
        display: flex;
    }
    
    #links a:first-child {
        border-top: 1px solid #e3a257;
    }

    #links a {
        padding: 8px 12px;
        border-bottom: 1px solid #e3a257;
    }

    #links a:last-child {
        border-bottom: none;
    }
}